/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.constants;

public final class Constants {

	public static final String APP_ENCODING = "UTF-8";

	/*
	 * 게시판 형태의 모듈에서 사용
	 */

	/** 한페이지에 표시되는 페이지 네비게이션 수 */
	public static final int BBS_PAGE_NAVI_SCALE = 10;

	/** 한페이지에 표시되는 아이템 수 */
	public static final int BBS_LIST_SCALE = 15;

	/*
	 * 공통 코드 관련 (kr.sohalee.hangastudio.admin.system.code)
	 */

	/** 환경설정 그룹 코드 */
	public static final String GROUP_CODE_CONFIG = "CNF";

}
