/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.core.util;

import java.util.Map;

public class MapUtil {

	/**
	 * Map에 데이타를 추가한다. 같은 key의 데이타가 있는 경우 먼저 삭제한다.
	 * 
	 * @param map
	 * @param key
	 * @param value
	 */
	@SuppressWarnings("unchecked")
	public static void overwrite(Map map, String key, Object value) {

		if (map.containsKey(key)) {
			map.remove(key);
		}

		map.put(key, value);
	}

}
