/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.commcode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 코드 그룹 Bean
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
@SuppressWarnings("serial")
public class CommCodeGroupBean implements Serializable {

	private String commGroupCode = null;

	private String name = null;

	private String description = null;

	private Boolean use = null;

	private Date regDt = null;

	private String regAdm = null;

	private Date modiDt = null;

	private String modiAdm = null;

	private List<CommCodeBean> commCodeList = null;

	private Map<String, String> commCodeValueMap = null;

	public String getCommGroupCode() {
		return commGroupCode;
	}

	public void setCommGroupCode(String commGroupCode) {
		this.commGroupCode = commGroupCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Boolean getUse() {
		return use;
	}

	public void setUse(Boolean use) {
		this.use = use;
	}

	public Date getRegDt() {
		return regDt;
	}

	public void setRegDt(Date regDt) {
		this.regDt = regDt;
	}

	public String getRegAdm() {
		return regAdm;
	}

	public void setRegAdm(String regAdm) {
		this.regAdm = regAdm;
	}

	public Date getModiDt() {
		return modiDt;
	}

	public void setModiDt(Date modiDt) {
		this.modiDt = modiDt;
	}

	public String getModiAdm() {
		return modiAdm;
	}

	public void setModiAdm(String modiAdm) {
		this.modiAdm = modiAdm;
	}

	public List<CommCodeBean> getCommCodeList() {
		return commCodeList;
	}

	public void setCommCodeList(List<CommCodeBean> commCodeList) {
		this.commCodeList = commCodeList;
	}

	public Map<String, String> getCommCodeValueMap() {
		return commCodeValueMap;
	}

	public void setCommCodeValueMap(Map<String, String> commCodeValueMap) {
		this.commCodeValueMap = commCodeValueMap;
	}

}
