<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail 받는 서버 계정 View
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-06-21 00:32
	@modified   : none
	==========================================================================
--%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.acc.title.view" /></title>
</head>

<body>

<div class="form">
<table style="width: 100%;">
	<tr>
		<th><s:text name="mail.acc.recv.label.name" /></th>
		<td><s:property value="accRecvBean.accRecvName" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.system" /></th>
		<td><s:property value="accRecvBean.system" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.default" /></th>
		<td><s:property value="accRecvBean.default" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.addressHost" /></th>
		<td><s:property value="accRecvBean.addressHost" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.protocol" /></th>
		<td><s:property value="accRecvBean.protocol" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.host" /></th>
		<td><s:property value="accRecvBean.host" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.port" /></th>
		<td><s:property value="accRecvBean.port" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.id" /></th>
		<td><s:property value="accRecvBean.id" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.password" /></th>
		<td></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.ssl" /></th>
		<td><s:property value="accRecvBean.sslPort" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.inbox" /></th>
		<td><s:property value="accRecvBean.inbox" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.outbox" /></th>
		<td><s:property value="accRecvBean.outbox" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.acc.recv.label.trash" /></th>
		<td><s:property value="accRecvBean.trash" /></td>
	</tr>
</table>
</div>

<div class="button">
<table style="width: 100%">
	<tr>
		<td>
			<s:url id="editUrl" action="accRecvUpdateForm">
				<s:param name="accRecvBean.accRecvSeq" value="accRecvBean.accRecvSeq" />
			</s:url>
			<div><a href="<s:url action="accRecvList" />"><img src="<s:url value="/resource/image/22x22/list.png" />"
				title="<s:text name="button.list" />" class="buttonImg" /></a>
				<br /><s:text name="button.list" /></div>
			<div><s:a href="%{editUrl}"><img src="<s:url value="/resource/image/22x22/edit.png" />"
				title="<s:text name="button.edit" />" class="buttonImg" /></s:a>
				<br /><s:text name="button.edit" /></div>
			<div><a href="<s:url action="accRecvDeleteAction" />"><img src="<s:url value="/resource/image/22x22/delete.png" />"
				title="<s:text name="button.delete" />" class="buttonImg" /></a>
				<br /><s:text name="button.delete" /></div>
		</td>
	</tr>
</table>
</div>

<p />

</body>

</html>
