<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail 받는서버 계정 Input Form. 타파일에 반드시 의존됨.
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-06-28 22:32
	@modified   : none
	==========================================================================
--%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

	<table style="width: 100%;">
		<tr>
			<th><s:text name="mail.acc.recv.label.name" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.accRecvName" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.accRecvName" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.system" /></th>
			<td><s:property value="accRecvBean.system" /></td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.default" /></th>
			<td><s:checkbox key="accRecvBean.default" /></td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.addressHost" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.addressHost" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.addressHost" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.protocol" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property
						value="#commCodeCache.getCommCodeValue('MLRVPRT', accRecvBean.protocol)" />
				</s:if>
				<s:else>
					<s:select key="accRecvBean.protocol"
						list="#commCodeCache.getCommCodeList('MLRVPRT')"
						listKey="commCode" listValue="value"
						headerKey="" headerValue="= %{getText('mail.acc.recv.label.protocol')} =" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.host" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.host" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.host" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.port" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.port" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.port" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.id" /></th>
			<td><s:textfield key="accRecvBean.id" /></td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.password" /></th>
			<td><s:password key="accRecvBean.password" showPassword="true" /></td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.ssl" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.ssl" />
				</s:if>
				<s:else>
					<s:checkbox key="accRecvBean.ssl" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.sslPort" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.sslPort" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.sslPort" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.inbox" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.inbox" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.inbox" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.outbox" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.outbox" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.outbox" />
				</s:else>
			</td>
		</tr>
		<tr>
			<th><s:text name="mail.acc.recv.label.trash" /></th>
			<td>
				<s:if test="accRecvBean.system">
					<s:property value="accRecvBean.trash" />
				</s:if>
				<s:else>
					<s:textfield key="accRecvBean.trash" />
				</s:else>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<s:submit value="%{getText('button.save')}" />
			</td>
		</tr>
	</table>