<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Message View Button. messageView.jsp에 반드시 의존됨
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-04-04 07:57
	@modified   : none
	==========================================================================
--%>

<s:bean id="folderUtil" name="kr.sohalee.hangastudio.model.mail.folder.FolderUtil" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<s:form action="messageMoveAction" name="buttonForm" id="buttonForm" method="post">
	<div class="button">
	<s:hidden key="messageBean.folderName" />
	<s:hidden key="messageBean.no" />
	<s:include value="messageHiddenForList.jsp" />

	<table style="width: 100%">
		<tr>
			<td>
				<div><img src="<s:url value="/resource/image/22x22/service/mail/message_list.png" />"
					title="<s:text name="mail.message.button.list" />"
					class="buttonImg" onclick="JsList();" /><br /><s:text name="mail.message.button.list" /></div>
				<div><img src="<s:url value="/resource/image/22x22/service/mail/message_reply.png" />"
					title="<s:text name="mail.message.button.reply" />"
					class="buttonImg" onclick="JsReplyForm();" /><br /><s:text name="mail.message.button.reply" /></div>
				<div><img src="<s:url value="/resource/image/22x22/service/mail/message_forward.png" />"
					title="<s:text name="mail.message.button.forward" />"
					class="buttonImg" onclick="JsForwardForm();" /><br /><s:text name="mail.message.button.forward" /></div>
			</td>
			<td style="text-align: right;">
				<img src="<s:url value="/resource/image/22x22/service/mail/message_delete.png" />"
					title="<s:text name="mail.message.button.delete" />"
					class="buttonImg" onclick="JsDeleteAction();" />
				<s:select name="messageBean.saveFolderName" list="folderList"
					listKey="name" listValue="#folderUtil.getDisplayName(name)"
					headerKey="" headerValue="-- Folder --" cssStyle="margin-left: 10px; vertical-align: middle;" />
				<input type="image"
					src="<s:url value="/resource/image/22x22/service/mail/message_move.png" />"
					title="<s:text name="mail.message.button.move" />"
					style="vertical-align: middle;"/>
			</td>
		</tr>
	</table>
	</div>
</s:form>
