<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Message Send 결과
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-05-04 23:11
	@modified   : none
	==========================================================================
--%>

<s:bean id="folderUtil" name="kr.sohalee.hangastudio.model.mail.folder.FolderUtil" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.message.title.sendDone" /></title>
</head>

<body>

<p><s:text name="mail.message.done.send" /></p>
<p>
	<s:url id="inboxUrl" action="messageList">
		<s:param name="messageBean.folderName" value="sessAccRecvBean.inbox" />
	</s:url>
	<s:a href="%{inboxUrl}">
		<s:property value="#folderUtil.getDisplayName(sessAccRecvBean.inbox)" />
	</s:a>
	<s:url id="outboxUrl" action="messageList">
		<s:param name="messageBean.folderName" value="sessAccRecvBean.outbox" />
	</s:url>
	<s:a href="%{outboxUrl}">
		<s:property value="#folderUtil.getDisplayName(sessAccRecvBean.outbox)" />
	</s:a>
</p>

</body>

</html>
