/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.acc;

import kr.sohalee.hangastudio.core.bean.BaseBean;

/**
 * 받는 서버 Bean
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
@SuppressWarnings("serial")
public class AccRecvBean extends BaseBean {

	private Integer accRecvSeq = null;

	private String accRecvName = null;

	private String userId = null;

	private Boolean system = null;

	private Boolean defaultAcc = null;

	private String addressHost = null;

	private String protocol = null;

	private String host = null;

	private String port = null;

	private String id = null;

	private String password = null;

	private Boolean ssl = null;

	private String sslPort = null;

	private String inbox = null;

	private String outbox = null;

	private String trash = null;

	public String getMailboxPattern() {
		return inbox + "|" + outbox + "|" + trash;
	}

	public Integer getAccRecvSeq() {
		return accRecvSeq;
	}

	public void setAccRecvSeq(Integer accRecvSeq) {
		this.accRecvSeq = accRecvSeq;
	}

	public String getAccRecvName() {
		return accRecvName;
	}

	public void setAccRecvName(String accRecvName) {
		this.accRecvName = accRecvName;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Boolean getSystem() {
		return system;
	}

	public void setSystem(Boolean system) {
		this.system = system;
	}

	public Boolean getDefault() {
		return defaultAcc;
	}

	public void setDefault(Boolean defaultAcc) {
		this.defaultAcc = defaultAcc;
	}

	public String getAddressHost() {
		return addressHost;
	}

	public void setAddressHost(String addressHost) {
		this.addressHost = addressHost;
	}

	public String getProtocol() {
		return protocol;
	}

	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public String getPort() {
		return port;
	}

	public void setPort(String port) {
		this.port = port;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Boolean getSsl() {
		return ssl;
	}

	public void setSsl(Boolean ssl) {
		this.ssl = ssl;
	}

	public String getSslPort() {
		return sslPort;
	}

	public void setSslPort(String sslPort) {
		this.sslPort = sslPort;
	}

	public String getInbox() {
		return inbox;
	}

	public void setInbox(String inbox) {
		this.inbox = inbox;
	}

	public String getOutbox() {
		return outbox;
	}

	public void setOutbox(String outbox) {
		this.outbox = outbox;
	}

	public String getTrash() {
		return trash;
	}

	public void setTrash(String trash) {
		this.trash = trash;
	}
}