<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="http://www.opensymphony.com/sitemesh/decorator"
	prefix="decorator"%>
<%@ taglib uri="http://www.opensymphony.com/sitemesh/page" prefix="page"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Main No DOCTYPE Layout<br />
	외부에서 보낸 HTML이 표준이 아닌 경우가 많아 DOCTYPE을 사용하면 깨지는 경우가있어
	다 풀어버린다.
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
	@created    : 2007-05-09 21:12
	@modified   : none
	==========================================================================
--%>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" href="<s:url value="/resource/css/style.css" />"
		type="text/css" />
	<link rel="stylesheet" href="<s:url value="/resource/css/style-mail.css" />"
		type="text/css" />
	<title>Hanga Studio - <decorator:title /></title>
	<decorator:head />
</head>

<%-- DOCTYPE을 지정하지 않아 발생하는 문제로 main class를 body에 지정 --%>
<body class="main">

<div id="main">
<decorator:body />
</div>

</body>

</html>
