<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ taglib uri="/view" prefix="view"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail 받는 서버 계정 List
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-06-20 07:51
	@modified   : none
	==========================================================================
--%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.acc.title.list" /></title>
</head>

<body>

<div class="list">
<table style="width: 100%;">
	<!-- 목록 헤더 .Start -->
	<thead>
		<tr>
			<th style="width: 50px;"><s:text name="mail.acc.recv.label.no" /></th>
			<th style="width: 50px;"><s:text name="mail.acc.recv.label.system" /></th>
			<th style="width: 50px;"><s:text name="mail.acc.recv.label.default" /></th>
			<th style="width: 100px;"><s:text name="mail.acc.recv.label.name" /></th>
			<th><s:text name="mail.acc.recv.label.host" /></th>
			<th style="width: 70px;"><s:text name="mail.acc.recv.label.protocol" /></th>
			<th style="width: 50px;"><s:text name="mail.acc.recv.label.id" /></th>
			<th style="width: 50px;"><s:text name="mail.acc.recv.label.ssl" /></th>
		</tr>
	</thead>
	<!-- 목록 헤더 .End -->

	<!-- 목록 .Start -->
	<tbody>
		<s:iterator value="accRecvList" status="recvSt">
			<s:url id="viewUrl" action="accRecvView">
				<s:param name="accRecvBean.accRecvSeq" value="accRecvSeq" />
			</s:url>
			<tr>
				<td><s:property value="#recvSt.count" /></td>
				<td><s:property value="system" /></td>
				<td><s:property value="default" /></td>
				<td><s:a href="%{viewUrl}"><s:property value="accRecvName" /></s:a></td>
				<td><s:a href="%{viewUrl}"><s:property value="host" /></s:a></td>
				<td><s:property value="protocol" /></td>
				<td><s:property value="id" /></td>
				<td><s:property value="ssl" /></td>
			</tr>
		</s:iterator>
	</tbody>
	<!-- 목록 .End -->
</table>
</div>

<div class="button">
<table style="width: 100%">
	<tr>
		<td>
			<div><a href="<s:url action="accRecvInsertForm" />"><img src="<s:url value="/resource/image/22x22/add.png" />"
				title="<s:text name="button.add" />" class="buttonImg" /></a>
				<br /><s:text name="button.add" /></div>
		</td>
	</tr>
</table>
</div>

<p />

</body>

</html>
