<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail 받는서버 계정 Update Form
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-06-21 00:52
	@modified   : none
	==========================================================================
--%>

<s:bean id="commCodeCache" name="kr.sohalee.hangastudio.model.commcode.CommCodeCacheMap" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.acc.title.update" /></title>
</head>

<body>

<div class="error" style="width: 100%px; text-align: left;">
	<s:iterator id="currentError" value="actionErrors">
		<s:text name="%{#currentError}" />
	</s:iterator>
</div>
<s:form action="accRecvUpdateAction" method="post">
	<div class="form">
	<s:hidden key="accRecvBean.accRecvSeq" />
	<s:hidden key="accRecvBean.system" />
	<s:include value="include/accRecvInputForm.jsp" />
	</div>
</s:form>

<div class="button">
<table style="width: 100%">
	<tr>
		<td>
			<s:url id="viewUrl" action="accRecvView">
				<s:param name="accRecvBean.accRecvSeq" value="accRecvBean.accRecvSeq" />
			</s:url>
			<div><s:a href="%{viewUrl}"><img src="<s:url value="/resource/image/22x22/view.png" />"
				title="<s:text name="button.view" />" class="buttonImg" /></s:a>
				<br /><s:text name="button.view" /></div>
		</td>
	</tr>
</table>
</div>

<p />

</body>

</html>
