<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Menu
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-04-27 21:02
	@modified   : none
	==========================================================================
--%>

<s:bean id="folderUtil" name="kr.sohalee.hangastudio.model.mail.folder.FolderUtil" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>

<head>
	<title></title>
	<script type="text/javascript">
	<!--

		var ACC_FORM_NAME = "accForm";
		var MESSAGE_LIST_FORM_NAME = "messageListForm";
	
		function JsMainLocation(url) {
			parent.frames["contents"].document.location.href = url;
		}

		function JsChangeAccRecv() {
			document.forms[ACC_FORM_NAME].submit();
		}
	//-->
	</script>
	<style type="text/css">
		body {
			background-color: #3F3F3F;
		}
	</style>
</head>

<body>

<div class="menuElement">
	<s:form name="accForm" id="accForm" action="mailMenuAccRecvChange" method="get">
		<s:select key="accRecvBean.accRecvSeq" cssStyle="width: 150px;"
			list="sessAccRecvList" listKey="accRecvSeq" listValue="accRecvName"
			onchange="JsChangeAccRecv();" />
		<p />
	</s:form>

<s:if test="validConnection">
	<s:url id="inboxUrl" action="messageList" namespace="/service/mail/message">
		<s:param name="messageBean.folderName" value="sessAccRecvBean.inbox" />
	</s:url>
	<s:url id="outboxUrl" action="messageList" namespace="/service/mail/message">
		<s:param name="messageBean.folderName" value="sessAccRecvBean.outbox" />
	</s:url>
	<s:url id="trashUrl" action="messageList" namespace="/service/mail/message">
		<s:param name="messageBean.folderName" value="sessAccRecvBean.trash" />
	</s:url>

	<%-- 편지쓰기 --%>
	<img src="<s:url value="/resource/image/16x16/service/mail/message_new.png" />"
		title="<s:text name="mail.menu.sendForm" />" style="vertical-align: middle;" />
	<a onclick="JsMainLocation('<s:url action="messageSendForm" namespace="/service/mail/message" />');"
		accesskey="n"><s:text name="mail.menu.sendForm" /></a><br />

	<%-- 받은 편지함 --%>
	<s:set name="inboxName" value="#folderUtil.getDisplayName(sessAccRecvBean.inbox)" />
	<img src="<s:url value="/resource/image/16x16/service/mail/folder_inbox.png" />"
		title="<s:property value="#inboxName" />" style="vertical-align: middle" />
	<a onclick="JsMainLocation('<s:property value="#inboxUrl" />');" accesskey="l">
		<s:property value="#inboxName" />
	</a><br />

	<%-- 보낸 편지함 --%>
	<s:set name="outboxName" value="#folderUtil.getDisplayName(sessAccRecvBean.outbox)" />
	<img src="<s:url value="/resource/image/16x16/service/mail/folder_outbox.png" />"
		title="<s:property value="#outboxName" />" style="vertical-align: middle" />
	<a onclick="JsMainLocation('<s:property value="#outboxUrl" />');" accesskey="2">
		<s:property value="#outboxName" />
	</a><br />

	<%-- 휴지통 --%>
	<s:set name="trashName" value="#folderUtil.getDisplayName(sessAccRecvBean.trash)" />
	<img src="<s:url value="/resource/image/16x16/service/mail/folder_trash.png" />"
		title="<s:property value="#trashName" />" style="vertical-align: middle" />
	<a onclick="JsMainLocation('<s:property value="#trashUrl" />');" accesskey="3">
		<s:property value="#trashName" />
	</a><br />
	<br />

	<%-- 편지함 목록 --%>
	<s:iterator value="folderList">
		<s:url id="mboxUrl" action="messageList" namespace="/service/mail/message">
			<s:param name="messageBean.folderName" value="name" />
		</s:url>
		<img src="<s:url value="/resource/image/16x16/service/mail/folder_mail.png" />"
			title="<s:property value="name" />" style="vertical-align: middle" />
		<a onclick="JsMainLocation('<s:property value="#mboxUrl" />');"><s:property value="name" /></a><br />
	</s:iterator>
</s:if>

	<br />

	<img src="<s:url value="/resource/image/16x16/service/mail/folder_trash.png" />"
		title="<s:text name="mail.menu.accRecv" />" style="vertical-align: middle" />
	<a onclick="JsMainLocation('<s:url action="accRecvList" namespace="/service/mail/acc" />');" accesskey="3">
		<s:text name="mail.menu.accRecv" />
	</a><br />
	<br />

</div>

</body>

</html>