<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Message List Button. messageList.jsp에 반드시 의존됨
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-05-18 21:27
	@modified   : none
	==========================================================================
--%>

<s:bean id="folderUtil" name="kr.sohalee.hangastudio.model.mail.folder.FolderUtil" />
<s:if test="#includeId == null">
	<s:set name="includeId" value="0" />
</s:if>
<s:else>
	<s:set name="includeId" value="#includeId + 1" />
</s:else>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<div class="button">
<table style="width: 100%">
	<tr>
		<td>
		</td>
		<td style="text-align: right;">
			<img src="<s:url value="/resource/image/22x22/service/mail/message_delete.png" />"
				title="<s:text name="mail.message.button.delete" />"
				class="buttonImg" onclick="JsDeleteMultiAction();" />
			<s:select name="saveNames" list="folderList"
				listKey="name" listValue="#folderUtil.getDisplayName(name)"
				headerKey="" headerValue="-- Folder --" cssStyle="margin-left: 10px; vertical-align: middle;"
				onchange="syncSaveNames(%{#includeId});" />
			<img src="<s:url value="/resource/image/22x22/service/mail/message_move.png" />"
				title="<s:text name="mail.message.button.move" />"
				class="buttonImg" onclick="JsMoveMultiAction();" />
		</td>
	</tr>
</table>
</div>